import request from '@/utils/request'
import Qs from 'qs';

//获取成员列表
export function getPersonList(params) {
	return request({
		url: '/mobile/personFamilyApi/pageList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//增加成员
export function addPerson(params) {
	return request.post('/mobile/personFamilyApi/add', params, {
		headers: {
			"Content-Type": "application/json"
		}
	});
}

//获取成员详情
export function getPersonInfo(id) {
	return request({
		url: '/mobile/personFamilyApi/detail',
		params: {
			id: id
		},
		method: 'get',
	})
}

//删除成员
export function delPerson(id) {
	return request({
		url: '/mobile/personFamilyApi/delete',
		data: Qs.stringify({
			id: id
		}),
		method: 'post',
	})
}
